Bug 66675 - Prompt to save dialog box is resizeable
Summary: Prompt to save dialog box is resizeable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: Other All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-07-08 00:31 UTC by Adolfo Jayme
Modified: 2013-07-12 12:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of incorrect behavior (29.25 KB, image/png)
2013-07-08 00:31 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2013-07-08 00:31:41 UTC
Created attachment 82152 [details]
Screenshot of incorrect behavior

... and it should not. You can make it very big, and create a bunch of empty space.

The screenshot was made under Windows, but in Linux/Metacity is worse, as it has a Maximize button.

(related to Widget Layout conversion).
Operating System: All
Version: 4.1.0.1 rc
Last worked in: 4.0.4.2 release
Comment 1 Jorendc 2013-07-11 21:20:21 UTC
I can confirm it is resizable. This is due the .ui conversion.

@Caolan: you agree too, to make it un-resizable?

Kind regards,
Joren
Comment 2 Caolán McNamara 2013-07-12 10:01:46 UTC
Gnome HIG does have "alerts should not be resizable" so I can toggle the alerts to non-resizable.
Comment 3 Commit Notification 2013-07-12 10:08:27 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=164c83d0fd06db0d6b4f2458517405ef74a09010

Resolves: fdo#66675 set alerts to non resizable



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Adolfo Jayme 2013-07-12 11:15:20 UTC
Thanks a bunch, Caolán, you rock! Will this land into 4.1 as well?
Comment 5 Caolán McNamara 2013-07-12 12:21:46 UTC
I hadn't planned to. Is there a good reason to. I mean it seems rather low-impact in the sense that it just disallows you stretching them ?
Comment 6 Adolfo Jayme 2013-07-12 12:27:55 UTC
Fair enough. =)